### Method

# JavaScriptCore Value constructor_callv

#### Declaration [src]

    JSCValue*
    jsc_value_constructor_callv (
      JSCValue* value,
      guint n_parameters,
      JSCValue** parameters
    )

#### Description [src]

Invoke new with constructor referenced by `value`. If `n_parameters` is 0 no parameters will be passed to the constructor.

This method is renamed to `jsc_value_constructor_call()` in language bindings

#### Parameters

`n_parameters` | `guint`
| The number of parameters.
`parameters` | An array of `JSCValue*`
| The `JSCValue`s to pass as parameters to the constructor, or `NULL`.
| The argument can be `NULL`.
| The length of the array is specified in the `n_parameters` argument.
| The data is owned by the caller of the function.

#### Return value

Returns: | `JSCValue`
| A `JSCValue` referencing the newly created object instance.
| The caller of the method takes ownership of the data, and is responsible for freeing it.